package com.me.brickbuster.layout;

import com.me.brickbuster.state.PlayState;

public class GridLevelLoader implements LevelLoader {

	public static final float POWER_UP_CHANCE = 0.15f;
	public static final int COLUMNS = 10;
	public static final int ROWS = 20;
	public static final int ROUNDS = 2;

	private PlayState state;
	private boolean randomShape;
	private boolean randomType;
	private int playCount = 0;

	public GridLevelLoader(PlayState state) {
		this(state, false, false);
	}

	public GridLevelLoader(PlayState state, boolean randomShape, boolean randomType) {
		this.state = state;
		this.randomShape = randomShape;
		this.randomType = randomType;
	}

	@Override
	public Level getNextLevel() {
		if (playCount++ < ROUNDS) {
			return new Level(new GridLayout(state, COLUMNS, ROWS, POWER_UP_CHANCE, randomShape, randomType));
		}
		return null;
	}

}
